List agent profiles
curl --request GET \
--url https://api.pyai.com/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "agent",
"agent_id": "agent_7f3a0b12",
"name": "<string>",
"persona_system_prompt": "<string>",
"greeting": "<string>",
"greeting_variants": [
"<string>"
],
"voice_id": "<string>",
"brain_model": "default",
"barge_sensitivity": "normal",
"ack_mode": "auto",
"mode": "default",
"role": "<string>",
"recordings_enabled": true,
"consent_line": "<string>",
"keyterms": [
"<string>"
],
"goals": [
"<string>"
],
"metadata": {},
"extraction_schema": {},
"extraction_webhook_url": "<string>",
"tools": [
{
"tool_id": "<string>",
"enabled": true,
"config": {},
"name": "<string>",
"description": "<string>",
"input_schema": {}
}
],
"created_at": 123
}
],
"has_more": false
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Agents
List agent profiles
All active agent profiles in your organization. Agent profiles are optional pre-stored Omni session config; they are not required to open an Omni session. Requires the omni:session scope.
GET
/
v1
/
agents
List agent profiles
⌘I